Get Consent Configuration History for a tenant
1 min
GET
https://api.upstartcommerce.com/v1/customer/consent/configurations/history
Query Parameters
- limitinteger<int32>DescriptionDefault1000Formatint32Minimum1Maximum5000
- beforeVersioninteger<int64>ExampleDescriptionFormatint64
Header Parameters
- x-upstart-tenantstringrequiredDescription
Responses
200
- ConsentHistoryResponse[]Description
- tenantstring
- siteIdsstring[]Description
- hasMorebooleanDescription
- nextBeforeVersioninteger<int64>ExampleDescriptionFormatint64
- versionTruncatedbooleanDescription
- historyobject
- versionsobject[]
- versioninteger<int64>ExampleFormatint64
- categoriesConsentCategoryEntry[]Description
- categoryIdstringExample
- dataPointIdsstring[]Example
[ "dp1", "dp2" ]
- enabledbooleanExample
- createdAtstring<date-time>Formatdate-time
- enabledAtstring<date-time>Formatdate-time
- disabledAtstring<date-time>Formatdate-time
- operationstring<CREATE | UPDATE | DELETE | CONFIGURE | UNCHANGED>ExampleDescriptionAllowedCREATEUPDATEDELETECONFIGUREUNCHANGED
- changedFieldsstring[]Example
[ "dataPoints" ]
Description - namestringExampleDescription
- siteIdsstring[]Description
400
- ValidationErrorResponse[]Description
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
401
- UnauthorizedErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
403
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
405
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
423
- ValidationErrorResponse[]Description
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
500
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request GET \
--url 'https://api.upstartcommerce.com/v1/customer/consent/configurations/history?limit=1000' \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/customer/consent/configurations/history?limit=1000", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/customer/consent/configurations/history?limit=1000")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/customer/consent/configurations/history?limit=1000"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Custom Consent Categories Updated Successfully
[
{
"tenant": "",
"siteIds": [
""
],
"hasMore": false,
"nextBeforeVersion": 1786456469155915,
"versionTruncated": false,
"history": {
"versions": [
{
"version": 1786456469155915,
"categories": [
{
"categoryId": "1",
"dataPointIds": [
""
],
"enabled": true,
"createdAt": "",
"enabledAt": "",
"disabledAt": "",
"operation": "UPDATE",
"changedFields": [
""
],
"name": "Marketing preferences",
"siteIds": [
""
]
}
]
}
]
}
}
]400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
[
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}
]401
// The provided credentials were not valid for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}403
// User's roles are insufficient for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found in the NoChannel system.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}405
// This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}423
// Consent Management is disabled or locked for the tenant, so consent operations are not allowed.
[
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}
]500
// There was an internal server error.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}